Ubuntu 6283 Published by

An AMD Microcode security update has been released for Ubuntu Linux 16.04 LTS, 18.04 LTS, 20.04 LTS, 22.04 LTS, and 23.04.



[USN-6244-1] AMD Microcode vulnerability


==========================================================================
Ubuntu Security Notice USN-6244-1
July 25, 2023

amd64-microcode vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.04
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS (Available with Ubuntu Pro)
- Ubuntu 16.04 LTS (Available with Ubuntu Pro)

Summary:

AMD processors may allow an attacker to expose sensitive information due
to a vector register speculative execution vulnerability.

Software Description:
- amd64-microcode: Processor microcode firmware for AMD CPUs

Details:

Tavis Ormandy discovered that some AMD processors did not properly
handle speculative execution of certain vector register instructions. A
local attacker could use this to expose sensitive information.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.04:
amd64-microcode 3.20220411.1ubuntu3.1

Ubuntu 22.04 LTS:
amd64-microcode 3.20191218.1ubuntu2.1

Ubuntu 20.04 LTS:
amd64-microcode 3.20191218.1ubuntu1.1

Ubuntu 18.04 LTS (Available with Ubuntu Pro):
amd64-microcode 3.20191021.1+really3.20181128.1~ubuntu0.18.04.1+esm1

Ubuntu 16.04 LTS (Available with Ubuntu Pro):
amd64-microcode 3.20191021.1+really3.20180524.1~ubuntu0.16.04.2+esm1

After a standard system update you need to reboot your computer to make
all the necessary changes.

References:
https://ubuntu.com/security/notices/USN-6244-1
CVE-2023-20593

Package Information:
https://launchpad.net/ubuntu/+source/amd64-microcode/3.20220411.1ubuntu3.1
https://launchpad.net/ubuntu/+source/amd64-microcode/3.20191218.1ubuntu2.1
https://launchpad.net/ubuntu/+source/amd64-microcode/3.20191218.1ubuntu1.1